var maxEntries = 5;

function BodyLoaded()
{
  $('img[@src$=.png]').ifixpng();
  
  $('#feedback').mousemove(function () {
    if ($('#feedback').offset().top != '-' + startheight)
    {  
      $('#feedback').stop(true, true);
      $('#feedback').animate({color: "#000000"}, 5000).animate({top: '-' + startheight + 'px'}, 1500, function() {
        for (var i = 1; i <= maxEntries; i++)
        {
          $('#' + 'feedback' + i).css('display', 'none');
          $('#' + 'feedback' + i + 'Text').html('');
        }
        alert('#feedbackClosed');
      });
    }
  });
  
};

/*
 * Add a feedback
 */
function addFeedback(text, type)
{
  var height = 0;
  $('#feedback').stop(true, false);
  $('#' + type).css('display', 'block');
  $('#' + type + 'Text').html(text);
  //$('#' + type + 'Icon').html('<img src="' + type + '.png" />');
  for (var i = 1; i <= maxEntries; i++)
  {
    if ($('#' + 'feedback' + i + 'Text').text() != '')
    {
      height = $('#' + 'feedback' + i).outerHeight() + height;
    }
  }
  height = startheight - height - 20;
  $('#feedback').animate({top: '-' + height + 'px'}, 1500);    
  $('#feedback').animate({color: "#000000"}, 5000).animate({top: '-' + startheight + 'px'}, 1500, function() {
    for (var i = 1; i <= maxEntries; i++)
    {
      $('#' + 'feedback' + i).css('display', 'none');
      $('#' + 'feedback' + i + 'Text').html('');
      $('#' + type + 'Icon').html('');
    }
    alert('#feedbackClosed');
  });
};

/*
 * Remove a feedback
 */
function removeFeedback(type) 
{
  var height = 0;
  $('#feedback').stop(true, false);
  $('#' + type).css('display', 'none');
  $('#' + type + 'Text').html('');
  //$('#' + type + 'Icon').html('');
  for (var i = 1; i <= maxEntries; i++)
  {
    if ($('#' + 'feedback' + i + 'Text').text() != '')
    {
      height = $('#' + 'feedback' + i).outerHeight() + height;
    }
  }
  height = startheight - height - 20;
  $('#feedback').animate({top: '-' + height + 'px'}, 1500);    
  $('#feedback').animate({color: "#000000"}, 5000).animate({top: '-' + startheight + 'px'}, 1500, function() {
    for (var i = 1; i <= maxEntries; i++)
    {
      $('#' + 'feedback' + i).css('display', 'none');
      $('#' + 'feedback' + i + 'Text').html('');
      $('#' + type + 'Icon').html('');
    }
    alert('#feedbackClosed');
  });
}